Bug 187343 - Lame segfaults with 2.6.16-1.2080_FC5
Summary: Lame segfaults with 2.6.16-1.2080_FC5
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
(Show other bugs)
Version: 5
Hardware: i686 Linux
medium
high
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-03-30 09:56 UTC by Daigoro Toyama
Modified: 2015-01-04 22:26 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-05 13:35:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Daigoro Toyama 2006-03-30 09:56:56 UTC
Description of problem:

Lame segfaults with kernel-2.6.16.1_2080_FC5.i686

Version-Release number of selected component (if applicable):

kernel-2.6.16.1_2080_FC5.i686
lame-3.96.1-4.lvn5

How reproducible:

Always.

Steps to Reproduce:
1. Find a WAV file (let's say its name is test.wav).
2. Run lame as follows: "lame -b 160 test.wav test.mp3"
3. The lame program quits with the "segmentation fault".

Actual results:

Lame segfaults.

Expected results:

Lame encodes test.wav into test.mp3 at 160 kbps bitrate.

Additional info:

Tried the exact same process with 2.6.15-1.2059_FC5.i686. Unable to repro.
Indicates that the kernel 2.6.16-1.2080_FC5 is the culprit (AFAIK).

Comment 1 Dave Jones 2006-03-30 21:39:55 UTC
after the segfault happens, is there anything in dmesg ? a kernel oops perhaps?


Comment 2 Daigoro Toyama 2006-03-31 03:33:47 UTC
Hello Dave.

Thanks for the prompt response. I checked the output from dmesg. Unfortunately,
it does not include anything relevant to the crash.

I took the source RPM of lame 3.96 and rebuilt it with kernel 2.6.16-1.2080. It
did not get rid of the problem. Just FYI...

Comment 3 Daigoro Toyama 2006-04-02 10:51:36 UTC
Hi Dave.

One more thing to report. I rebuilt lame using the latest (3.97b2) source. The
segfault problem does not manifest itself anymore. Without debugging lame itself
I am not sure where the real culprit is, but I thought I'd let you know anyway.

Thanks,
Dai

Comment 4 Michael 2006-04-04 20:31:58 UTC
I have the same problem with lame-3.96.1-2.2.fc4 (freshrpms) on FC4 with
kernel-2.6.16-1.2069_FC4.
If I boot with kernel-2.6.15-1.1833_FC4 lame works fine!

Regards

Michael


Comment 5 Chien-Chung Yeh 2006-04-14 13:51:05 UTC
How about try "lame --noasm xxx.wav", some Athlon CPU need this to solve this 
problem(avoid using 3dnow)!

Regards,
Chien-Chung

Comment 6 Daigoro Toyama 2006-04-14 16:30:25 UTC
Hi Chein-Chung.

The man page ("man lame") does mention the "--noasm" flag, but it says it is for
Cyrix/Via CPUs, not AMD. Besides, lame 3.96 was working fine without that option
with kernel 2.6.15.

I could go back to lame 3.96 and try it, but I'd rather not touch the currently
working configuration (2.6.16-1_2080 and lame 3.97b).

Comment 7 Dave Jones 2006-10-16 21:45:31 UTC
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.

Comment 8 Dave Jones 2006-11-24 22:15:24 UTC
This bug has been mass-closed along with all other bugs that
have been in NEEDINFO state for several months.

Due to the large volume of inactive bugs in bugzilla, this
is the only method we have of cleaning out stale bug reports
where the reporter has disappeared.

If you can reproduce this bug after installing all the
current updates, please reopen this bug.

If you are not the reporter, you can add a comment requesting
it be reopened, and someone will get to it asap.

Thank you.

Comment 9 Jon Stanley 2008-02-05 13:35:28 UTC
Closing since there was an error in previous mass-close and they remained in
NEEDINFO.


Note You need to log in before you can comment on or make changes to this bug.